Client API: Mail: Credentials
The 5 Client API operations for credentials.
Part of Mail.
Operations
Section titled Operations| Method | Path | Summary |
|---|---|---|
| GET | /api/v1/client/smtp-relay/{service_id}/credentials |
List credentials |
| POST | /api/v1/client/smtp-relay/{service_id}/credentials |
Create credential |
| DELETE | /api/v1/client/smtp-relay/{service_id}/credentials/{account_id} |
Delete credential |
| PATCH | /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/enabled |
Credential enabled |
| POST | /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/rotate |
Rotate credential |
List credentials
Section titled List credentialsGET /api/v1/client/smtp-relay/{service_id}/credentials
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create credential
Section titled Create credentialPOST /api/v1/client/smtp-relay/{service_id}/credentials
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
domain_id |
integer | yes |
label |
string | no |
Responses
Section titled Responses| Status | Meaning |
|---|---|
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Delete credential
Section titled Delete credentialDELETE /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Credential enabled
Section titled Credential enabledPATCH /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/enabled
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Request body
Section titled Request bodyapplication/json (required)
| Field | Type | Required |
|---|---|---|
enabled |
boolean | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Rotate credential
Section titled Rotate credentialPOST /api/v1/client/smtp-relay/{service_id}/credentials/{account_id}/rotate
Authentication: an access token, sent as Authorization: Bearer <token>.
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
account_id |
path | integer | yes |
service_id |
path | integer | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |